Bug 28881 - Updates to 2.2.17-14 provided, but no headers
Updates to 2.2.17-14 provided, but no headers
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
: 29150 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-22 12:01 EST by Daniel Senie
Modified: 2007-04-18 12:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 18:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a simple patch to provide kernel-headers from kernel-source (294 bytes, patch)
2001-03-28 23:37 EST, Arenas Belon, Carlo Marcelo
no flags Details | Diff

  None (edit)
Description Daniel Senie 2001-02-22 12:01:33 EST
Errata updates have been made available for 6.1, 6.2 and 7.0 to use the 
2.2.17-40 kernel to fix some security bugs and add support for some new 
devices.

Binaries for all CPU types were provided, sources were provided but the 
kernel-headers package was not. Normally it's a bad idea to try to build 
custom kernels with headers from a different kernel.

Could you folks put the kernel-headers RPM into each of the update areas 
(6.1, 6.2, 7.0) please?

Thanks

Dan
Comment 1 phostetl 2001-02-22 12:12:49 EST
I found the following in boot after updating the kernel to 2.2.17-14:

# rpm -qf /boot/kernel.h-2.2.17
kernel-source-2.2.17-14
# rpm -qf /boot/kernel.h-2.2.16
kernel-headers-2.2.16-3
# rpm -e kernel-headers-2.2.16-3
error: removing these packages would break dependencies:
	kernel-headers   is needed by glibc-devel-2.1.3-22
	kernel-headers >= 2.2.1 is needed by glibc-devel-2.1.3-22
	kernel-headers   is needed by glibc-devel-2.1.3-22
	kernel-headers >= 2.2.1 is needed by glibc-devel-2.1.3-22

Looks like a dependency problem created when the file shifted from one package
to another. causing
Comment 2 Daniel Senie 2001-03-01 00:58:17 EST
I raised the severity of this. With this mismatch, it's impossible to compile 
new device drivers (modules) and install them into the running kernel. In the 
instance I faced today (and didn't solve) I was trying to add the Intel e100 
driver into a machine running the 2.2.17-14 kernel. Since the headers 
mismatched the kernel, the resulting e100.o that got built couldn't be loaded 
by insmod because of missing symbols.

THIS IS SERIOUS, FOLKS. I'm about to back out to 2.2.16-3 for all my clients, 
regardless of security risks, since the risk of non-functional machines is 
worse.
Comment 3 Arenas Belon, Carlo Marcelo 2001-03-05 19:42:53 EST
the kernel-headers package could be missing and the corresponding RPM
dependencie broken but there is notting more than a dependency problem

all the files that should be on a kernel-header package are inside the
kernel-source package and the links that are needed could be just be added.

in order to install a package where there is a broken dependency use the
--nodeps option for rpm.

to use the installed kernel headers just do the following :

  rpm -ev --nodeps kernel-headers 
  rpm -ivh kernel-source-2.2.17-14.i386.rpm
  cd /usr/src
  ln -snf linux-2.2.17 linux
  cd /usr/include
  ln -snf ../src/linux/include/linux linux
  ln -snf ../src/linux/include/asm asm
  cd /boot
  ln -snf kernel.h-2.2.17 kernel.h
 
just be sure that you have the correct link on /usr/src/linux -> linux-2.2.17

for sure, adding the missing functionality of -headers to -source and adding
"Provides: kernel-headers" would be better.
Comment 4 R P Herrold 2001-03-06 12:38:46 EST
This is of course a description of part of the kernel-headers post-process -- I
think the point is to fix the need for this -- a well formed upgrade from RedHat
of an official Red Hat release should NOT require --force or --nodeps to a admin
who can list all the relevant RPMs to update in a command line -- that is:

   rpm kernel-2.2.*-rpm 

should be sufficient.
Comment 5 Arenas Belon, Carlo Marcelo 2001-03-28 23:37:52 EST
Created attachment 14066 [details]
a simple patch to provide kernel-headers from kernel-source
Comment 6 Arenas Belon, Carlo Marcelo 2001-03-28 23:45:01 EST
the attached patch should fix the problem, at least on theory (sorry no 6.2
system to test now).
for sure QA should be needed to verify that there is no missing funcionality.

if a kernel-headers package is preferred (no bloat with all the kernel sources
as only the headers are needed) the old packaging behaviour could be put in
place (again only in theory) just by changing :

  %define headersinsource 0

for sure (as i explained before), not using a broken dependency package should
be better than a --force install, but what i meant with that is that it wasn't a
real problem of missing functionality but just a packaging problem.
Comment 7 Daniel Senie 2001-03-28 23:50:11 EST
I'm still waiting for someone from RedHat to change this bug from NEW to ASSIGNED, and put out a new patch. I take it they're so focused on 7.0 and 
later, that they have stopped testing the patches they put out on earlier releases? The face that this bug has been sitting as NEW for over a month 
shows the level of commitment to existing releases which are in production use (i.e. nil). Sure makes me wonder why I spend so much time providing 
beta test input to RedHat.
Comment 8 Arenas Belon, Carlo Marcelo 2001-03-28 23:57:33 EST
*** Bug 29150 has been marked as a duplicate of this bug. ***
Comment 9 Arjan van de Ven 2001-03-29 11:12:05 EST
The packaging change needed between 6.2 and 7.0 is nasty but there will be a
corrected
kernel out shortly
Comment 10 Daniel Senie 2001-05-03 18:07:46 EDT
The 2.2.19 kernel packages include headers for RedHat 6.2, thanks.

Now if we could get a 6.2 and 7.0 boot.img that use the 2.2.19 kernel, I'll be 
a VERY happy camper (2.2.19 includes a much updated DAC960 driver which 
actually works with products now on the market. The DAC960 driver in 2.2.16/17 
doesn't support any current products).

Note You need to log in before you can comment on or make changes to this bug.